cURL
curl --request PUT \
--url https://api.transmit.dev/v1/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email_subscribed": true,
"sms_subscribed": true
}
'import requests
url = "https://api.transmit.dev/v1/contacts/{id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email_subscribed": True,
"sms_subscribed": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email_subscribed: true,
sms_subscribed: true
})
};
fetch('https://api.transmit.dev/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"email_subscribed": true,
"sms_subscribed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"phone_number": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}Contacts
Put v1contacts
Update an existing contact by ID. Only provided fields will be updated.
PUT
/
v1
/
contacts
/
{id}
cURL
Authorizations
Enter your API key with 'tx_' prefix. Get your API key from the dashboard.
Path Parameters
Body
application/json
Response
Contact updated successfully
Contact ID
Email subscription status
SMS subscription status
Creation timestamp
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Last update timestamp
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Contact email address
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Contact phone number
First name
Last name